#
# TODO:
#	- tests fail on 'local' timezone
#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# test target
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module 	babel
%define		pypi_name	Babel
Summary:	Babel - internationalization library for Python 2
Summary(pl.UTF-8):	Babel - biblioteka umiędzynaradawiająca dla Pythona 2
Name:		python-%{module}
Version:	2.4.0
Release:	1
License:	BSD-like
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/Babel
Source0:	https://files.pythonhosted.org/packages/source/B/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	90e7a0add19b2036a9b415630a0d9388
Patch0:		tz.patch
URL:		http://babel.pocoo.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-devel-tools >= 1:2.6
BuildRequires:	python-setuptools
BuildRequires:	python-pytz
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-devel-tools >= 1:3.3
BuildRequires:	python3-setuptools
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-pytz
%endif
%{?with_doc:BuildRequires: sphinx-pdg}
Requires:	python-modules >= 1:2.6
Requires:	python-pytz
Obsoletes:	python-Babel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications).

%description -l pl.UTF-8
Babel to biblioteka Pythona zawierająca zintegrowany zbiór narzędzi
pomagających przy umiędzynaradawianiu i lokalizowaniu aplikacji w
Pythonie (w szczególności aplikacji WWW).

%package -n python3-%{module}
Summary:	Babel - internationalization library for Python 3
Summary(pl.UTF-8):	Babel - biblioteka umiędzynaradawiająca dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3
Requires:	python3-pytz

%description -n python3-%{module}
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications).

%description -n python3-%{module} -l pl.UTF-8
Babel to biblioteka Pythona zawierająca zintegrowany zbiór narzędzi
pomagających przy umiędzynaradawianiu i lokalizowaniu aplikacji w
Pythonie (w szczególności aplikacji WWW).

%package apidocs
Summary:	Python Babel API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Pythona Babel
Group:		Documentation

%description apidocs
Python Babel API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Pythona Babel.

%prep
%setup -q -n Babel-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
%{__rm} -r _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/{pybabel,pybabel3}
%endif

%if %{with python2}
%py_install

%py_postclean
%endif

find $RPM_BUILD_ROOT%{py_sitescriptdir}/babel/locale-data -name '*.dat' | \
	sed -e "s#^$RPM_BUILD_ROOT##" | \
	sed -ne 's,.*/\([a-z][a-z][a-z]\?\)\(_[0-9][0-9][0-9]\|_[A-Z][a-z][a-z][a-z]\)\?\(_[A-Z][A-Z]\)\?\(_POSIX\)\?\.dat$,%lang(\1\3) &,p' > py2.lang

find $RPM_BUILD_ROOT%{py3_sitescriptdir}/babel/locale-data -name '*.dat' | \
	sed -e "s#^$RPM_BUILD_ROOT##" | \
	sed -ne 's,.*/\([a-z][a-z][a-z]\?\)\(_[0-9][0-9][0-9]\|_[A-Z][a-z][a-z][a-z]\)\?\(_[A-Z][A-Z]\)\?\(_POSIX\)\?\.dat,%lang(\1\3) &,p' > py3.lang

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files -f py2.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%attr(755,root,root) %{_bindir}/pybabel
%dir %{py_sitescriptdir}/babel
%{py_sitescriptdir}/babel/global.dat
%{py_sitescriptdir}/babel/*.py[co]
%dir %{py_sitescriptdir}/babel/localtime
%{py_sitescriptdir}/babel/localtime/*.py[co]
%dir %{py_sitescriptdir}/babel/locale-data
%{py_sitescriptdir}/babel/locale-data/root.dat
%lang(ca_ES@valencia) %{py_sitescriptdir}/babel/locale-data/ca_ES_VALENCIA.dat
%dir %{py_sitescriptdir}/babel/messages
%{py_sitescriptdir}/babel/messages/*.py[co]
%{py_sitescriptdir}/Babel-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module} -f py3.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%attr(755,root,root) %{_bindir}/pybabel3
%dir %{py3_sitescriptdir}/babel
%{py3_sitescriptdir}/babel/__pycache__
%{py3_sitescriptdir}/babel/global.dat
%{py3_sitescriptdir}/babel/*.py
%{py3_sitescriptdir}/babel/localtime
%dir %{py3_sitescriptdir}/babel/locale-data
%{py3_sitescriptdir}/babel/locale-data/root.dat
%lang(ca_ES@valencia) %{py3_sitescriptdir}/babel/locale-data/ca_ES_VALENCIA.dat
%{py3_sitescriptdir}/babel/messages
%{py3_sitescriptdir}/Babel-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sat Apr 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-babel.git;a=log;h=master

* Sat Apr 22 2017 Elan Ruusamäe <glen@delfi.ee> b2f828a
- up to 2.4.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 90cfcbc
- python 3.6.0 rebuild
- release 2 (by relup.sh)

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 8f72945
- updated to 2.3.4

* Tue Dec 01 2015 Jakub Bogusz <qboosh@pld-linux.org> ae844bf
- updated supported python versions

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 21523b2
- Disable tests, broken for 'local' timezone

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 006ed0f
- Fix some failing tests

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 4db81d4
- Version: 2.1.1

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> ea9e319
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d6353e1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> dbb6e77
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e8952ce
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b901262
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a0700
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Jun 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 73c67f0
- pl
- use lang() tags for locale data

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 8340e96
- BR: sphinx-pdg when building docs

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 4761453
- dependencies fixes

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> fd18bd5
- URL and python3 summary fixes

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e8fc529
- python 3.4
- release 2 (by relup.sh)

* Fri Oct 03 2014 Mateusz Korniak <matkor@pld-linux.org> de41ba6
- Release 1.

* Fri Oct 03 2014 Mateusz Korniak <matkor@pld-linux.org> 4c63ce1
- Up to 1.3

